DocumentReminders resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Delete | DEL /v2/{accountId}/documentreminders/{id}Permanently deletes a document reminder |
| Get | GET /v2/{accountId}/documentreminders/{id}Get document reminder with specified id |
| GetRecipientContactItems | GET /v2/{accountId}/documentreminders/{id}/recipientcontactsGet the document reminders contact recipients |
| GetRecipientGroupItems | GET /v2/{accountId}/documentreminders/{id}/recipientgroupsGet the document reminders group recipients |
| GetRecipientUserItems | GET /v2/{accountId}/documentreminders/{id}/recipientusersGet the document reminders user recipients |
| Patch | PATCH /v2/{accountId}/documentreminders/{id}Update a document reminder |
| Post | POST /v2/{accountId}/documentremindersCreate a new document reminder |
| Put | PUT /v2/{accountId}/documentreminders/{id}Update a document reminder |
DocumentReminders properties
| Property | Type | Description |
|---|---|---|
CreatedBy | string | Username of the user that created the document reminder. Sortable |
CreatedDate | string (date-time) | Created date of the document reminder. Sortable |
Document | Document | The document to which the reminder applies |
EmailBody | string | Body of the email that gets sent to the document reminder recipients |
EmailFromAddress | string | From email address of the email that gets sent to the document reminder recipients |
EmailSubject | string | Subject of the email that gets sent to the document reminder recipients |
Href | string | Uri where the object can be retrieved. |
Name | string | Name of the document reminder. Filterable and sortable |
RecipientAdHocEmails | array | Ad hoc email addresses that will receive the document reminder |
RecipientContacts | ApiCollection_Contact_ | Contacts that will receive the document reminder |
RecipientGroups | ApiCollection_Group_ | Groups that will receive the document reminder |
RecipientUsers | ApiCollection_User_ | Users that will receive the document reminder |
ReminderDate | string (date-time) | Date and time (UTC) that the document reminder is to be executed |
UpdatedBy | string | Username of the user that last updated the document reminder. Sortable |
UpdatedDate | string (date-time) | Last updated date for the document reminder. Sortable |